import request from '@/utils/request'

// 查询抽奖奖品列表
export function listPrizeInfo(query) {
  return request({
    url: '/cai/prizeInfo/list',
    method: 'get',
    params: query
  })
}

// 查询抽奖奖品详细
export function getPrizeInfo(id) {
  return request({
    url: '/cai/prizeInfo/' + id,
    method: 'get'
  })
}

// 新增抽奖奖品
export function addPrizeInfo(data) {
  return request({
    url: '/cai/prizeInfo',
    method: 'post',
    data: data
  })
}

// 修改抽奖奖品
export function updatePrizeInfo(data) {
  return request({
    url: '/cai/prizeInfo',
    method: 'put',
    data: data
  })
}

// 删除抽奖奖品
export function delPrizeInfo(id) {
  return request({
    url: '/cai/prizeInfo/' + id,
    method: 'delete'
  })
}

export function prizeInfoAll() {
  return request({
    url: '/cai/prizeInfo/all',
    method: 'get'
  })
}
